Bug 146826 - ab command used in NETWORK test timed out in fast network
ab command used in NETWORK test timed out in fast network
Product: Red Hat Ready Certification Tests
Classification: Retired
Component: rhr2 (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: Rob Landry
Rob Landry
Depends On:
  Show dependency treegraph
Reported: 2005-02-01 17:43 EST by Jerry Wei
Modified: 2007-04-18 13:19 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2005-05-11 12:39:35 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Jerry Wei 2005-02-01 17:43:25 EST
Description of problem:
In NETWORK test, 'ab -c 128 -k -n 256 $ipaddress/httptest.file' was
used to exercise httpd on test machine.  However, it will get time
out and terminate NETWORK test in fast network.  Tried test machine
and server with such network condition. ie. above ab command got
timeout.  If during the execution of ab command, a ping flood command
such as 'ping -c15000 -f -s65507' from test machine to server machine
to increase network load caused the ab command finished normally
without timeout.  That proved the ab command used in NETWORK test was
sensitive to network load, and probably was not suitable for
certification purpose. 

Version-Release number of selected component (if applicable):

How reproducible:
Need network between test machine and test server lost no packet at
least for 'ping -c1000 -f -s65507' to get above ab command timed out.

Steps to Reproduce:
1.'dd if=/dev/zero of=/var/www/html/httptest.file bs=1M count=12' on
  the test machine
2. start httpd on test machine
3. on test server machine do 
   'ab -c 128 -k -n 256 $ipaddr/httptest.file'
4. above ab command will get timed out
5. repeat 3, and do 'ping -c15000 -f -s65507' from test machine to
   test server, ab command will finished normally without timeout

Actual results:

Expected results:
Both 4 and 5 should all be finished without timeout.

Additional info:
Comment 1 Richard Li 2005-02-01 18:13:19 EST
thanks. note that we've updated the ab parameters in the latest errata to avoid
timeouts -- you can update over rhn.
Comment 2 Jerry Wei 2005-02-02 13:14:36 EST
Thanks.  Couldn't fine related errata in rhn yet with serach of rhr2 and
redhat-ready.  Please advise.
Comment 3 Richard Li 2005-02-02 13:20:41 EST
It's on the hardware certification (final) subchannel of RHEL 4 RC.
Comment 4 Richard Li 2005-05-11 12:39:35 EDT
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.


Note You need to log in before you can comment on or make changes to this bug.